/*
 * $Id: Parameters_msg_error.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/include/Parameters.h"
#include "Common/include/Max.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace update_prediction_table {


#undef  FUNCTION
#define FUNCTION "Update_Prediction_Table::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"Begin");

    Parameters_test test ("Update_Prediction_Table");

    for (uint32_t i=0; i<_nb_context; i++)
      if (_size_ufpt_queue [i] > _size_upt_queue [i])
        test.error(toString(_("context \"%d\" : size_upt_queue must be >= at size_ufpt_queue\n"),i));
    
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"End");

    return test;
  };

}; // end namespace update_prediction_table
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
